Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MotionControlSelector Class Reference

A module selector for motion control modules. More...

`#include <MotionControlSelector.h>`

Inheritance diagram for MotionControlSelector:

[legend]
Collaboration diagram for MotionControlSelector:

[legend]
List of all members.

## Public Member Functions
| MotionControlSelector (ModuleHandler &handler, const MotionControlInterfaces &interfaces)
| Constructor.
Module * | createSolution (SolutionRequest::ModuleSolutionID id)
| Is called on start and when the selected solution changes to create a specific solution.
## Public Attributes
ModuleHandler & | moduleHandler
| A reference to the ModuleHandler of the process, needed to create the submodules of DefaultMotionControl.

## Detailed Description

A module selector for motion control modules.

Author:
  Martin Lötzsch

Definition at line 23 of file MotionControlSelector.h.

## Constructor & Destructor Documentation

MotionControlSelector::MotionControlSelector | ( | ModuleHandler & | handler,
|  | const MotionControlInterfaces & | interfaces
| ) | `[inline]`

  | Constructor. Parameters:
  handler | The module handler of the process.
  interfaces | The paramters of the MotionControl module.
Definition at line 31 of file MotionControlSelector.h. References ModuleHandler::setModuleSelector().

Here is the call graph for this function:

## Member Function Documentation

Module* MotionControlSelector::createSolution | ( | SolutionRequest::ModuleSolutionID | id | ) | `[inline, virtual]`

  | Is called on start and when the selected solution changes to create a specific solution. Parameters:
  id | The id of the solution to create
Returns: The created solution or 0 Implements ModuleSelector. Definition at line 45 of file MotionControlSelector.h.

## Member Data Documentation

ModuleHandler& MotionControlSelector::moduleHandler

| A reference to the ModuleHandler of the process, needed to create the submodules of DefaultMotionControl. Definition at line 62 of file MotionControlSelector.h.

The documentation for this class was generated from the following file:

- Modules/MotionControl/MotionControlSelector.h